@import 'mixins';
@import 'variables';

*{
    box-sizing: border-box;
}
.mobile-nav{
    display: none;  
    position: absolute;
    top:3.7rem;
    right:0;
    width: 11rem;
    background-color: $mobile-nav;
     &__item {
        padding: 0.4rem 0.75rem;
        &:hover{
            background-color: $nav-hover;
            transition: 0.2s;
        }
        a{ 
            font-weight: 400;
            font-size: 11px;
            color: $color-text; 
            text-transform: uppercase;
            &.active-nav{
                color: $hover;
            }
        }
    };
    &__items{
        display: flex;
        flex-direction: column;
    };
    @include mq('tablet'){
        display: none;
    } 

}

.main-header{
    margin: 0 auto;
    padding-top: 2rem;
    padding-bottom: 2rem;
    display: flex;
    justify-content: center;
    align-items: end;
}
.main-nav {
    width: 80%;
    &__items{
        display: flex;
        justify-content: space-between;
    }
	&__item {
		display: none;
		@include mq('tablet') {
            display: inline-block;
            
        }
        a{
            font-size: 11px;
            color:$color-title;
            text-transform: uppercase;
            &.active-nav__main{
                color: $hover;
            }
        }
	}
}
.toggle{
    display: inline-block;
    vertical-align: middle;
    position: absolute;
    right: 0;
    top: 1.34rem;
    @include mq('tablet'){
		display: none;
	}
}
.toggle-button:focus {
	outline: none;
}
.toggle-button {
	width: 44px;
    height: 37px;
	background: transparent;
	border: none;
	cursor: pointer;
	padding:0;
	vertical-align: middle;
    background: black;
    &__bar {
        width: 17px;
        height: 2px;
        background: white;
        display: block;
        margin: 2px auto;
    }
}
.closing-button{
    display: none; 
    @extend.toggle-button;
    &--close{
        color: #fff;
        font-size: 18px;
    }
}
.active{
    display: block;
    @include mq('tablet'){
    display: none;}
}




